HEDA
HEDA
  • 发布:2020-02-12 19:26
  • 更新:2020-02-13 00:01
  • 阅读:271

uni-app中条件编译(#ifdef等)能否对node_modules中代码生效

分类:uni-app

条件编译目前仅对当前工程中的文件生效。

能否支持node_modules中的代码也生效?

原因是:

公司级项目,一般前端项目会依赖多个内部开发的包,通过import到项目中。这些包中也使用到了条件编译,如#ifdef等。目前条件编译不支持node_modules中的依赖包,条件编译这套机制就无法使用。这对于封装灵活的库非常不方便。

2020-02-12 19:26 负责人:无 分享
已邀请:
DCloud_UNI_FXY

DCloud_UNI_FXY

vue.config.js中配置transpileDependencies,允许编译你指定的包
参考:https://cli.vuejs.org/zh/config/#transpiledependencies

  • HEDA (作者)

    牛逼啊,非常感谢。

    2020-02-13 22:27

要回复问题请先登录注册